Browser Requirements


For the best view of FirstMerit's Web site, we recommend using an Internet browser version as outlined below. To use our online banking services, you must use a 128-bit encrypted browser. It will ensure the highest available security of any confidential or financial transactions you make over the Internet. The following browsers fit these criteria:

Microsoft Internet Explorer 8.0 and higher, with the exception of beta test versions. If you are currently using an older version of Internet Explorer or would like to download Internet Explorer for the first time, please do so now. You will be taken to the Internet Explorer Web site.

Mozilla Firefox 20.0 and higher, with the exception of beta test versions. If you are currently using an older version of Mozilla Firefox or would like to download Mozilla Firefox for the first time, please do so now. You will be taken to the Mozilla Firefox Web site.

Google Chrome 26.0 and higher, with the exception of beta test versions. If you are currently using an older version of Google Chrome or would like to download Google Chrome for the first time, please do so now. You will be taken to the Google Chrome Web site.

Adobe® Acrobat Portable Document format. FirstMerit uses files in Adobe® Acrobat Portable Document Format (pdf) for Online Statements and downloadable reports. To view or print these files you must install the free Adobe Reader on your PC. FirstMerit recommends using the latest version of Adobe Reader, with the exception of beta test versions.